Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_FIFO_Connection_Purging_Strategy Class Reference

The First In First Out connection purging strategy. More...

`#include <FIFO_Connection_Purging_Strategy.h>`

Inheritance diagram for TAO_FIFO_Connection_Purging_Strategy:

[legend]
Collaboration diagram for TAO_FIFO_Connection_Purging_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_FIFO_Connection_Purging_Strategy (int cache_maximum)
| The constructor. More...
virtual | ~TAO_FIFO_Connection_Purging_Strategy (void)
| The destructor. More...
virtual void | update_item (TAO_Transport *transport)
| Called when accessing an item from the cache. More...
## Private Attributes
unsigned long | order_
| The ordering information for each transport in the cache. More...

## Detailed Description

The First In First Out connection purging strategy.

This class maintains it's own count which is only applied to the item passed if it has not yet been cached. This way, each successive transport has a larger ordering number than the previous. This will cause the first transport to be purged first.

## Constructor & Destructor Documentation

TAO_FIFO_Connection_Purging_Strategy::TAO_FIFO_Connection_Purging_Strategy | ( | int | cache_maximum | ) |

| The constructor.

TAO_FIFO_Connection_Purging_Strategy::~TAO_FIFO_Connection_Purging_Strategy | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

void TAO_FIFO_Connection_Purging_Strategy::update_item | ( | TAO_Transport * | transport | ) | `[virtual]`

| Called when accessing an item from the cache. Reimplemented from TAO_Connection_Purging_Strategy.

## Member Data Documentation

unsigned long TAO_FIFO_Connection_Purging_Strategy::order_`[private]`

| The ordering information for each transport in the cache.

The documentation for this class was generated from the following files:

- FIFO_Connection_Purging_Strategy.h
- FIFO_Connection_Purging_Strategy.cpp